<?php
/**
 * @var \kernel\app_modules\tgbot\models\TgbotNotification $model
 */

use app\modules\tgbot\models\Tgbot;

$form = new \itguild\forms\ActiveForm();
$form->beginForm(isset($model) ? "/admin/tg-bot-notification/edit/" . $model->id : "/admin/tg-bot-notification");


$form->field(class: \itguild\forms\inputs\TextInput::class, name: "bot_id", params: [
    'class' => "form-control",
    'placeholder' => 'Bot ID',
    'value' => $model->bot_id ?? ''
])
    ->setLabel("Bot ID")
    ->render();

$form->field(class: \itguild\forms\inputs\TextInput::class, name: "dialog_id", params: [
    'class' => "form-control",
    'placeholder' => 'Dialog ID',
    'value' => $model->dialog_id ?? ''
])
    ->setLabel("Dialog ID")
    ->render();

$form->field(class: \itguild\forms\inputs\TextInput::class, name: "to_group", params: [
    'class' => "form-control",
    'placeholder' => '',
    'value' => $model->to_group ?? ''
])
    ->setLabel("To user group")
    ->render();

$form->field(class: \itguild\forms\inputs\TextInput::class, name: "content", params: [
    'class' => "form-control",
    'placeholder' => 'Content',
    'value' => $model->content ?? ''
])
    ->setLabel("Content")
    ->render();

$form->field(class: \itguild\forms\inputs\TextInput::class, name: "photo", params: [
    'class' => "form-control",
    'placeholder' => 'Photo',
    'value' => $model->photo ?? ''
])
    ->setLabel("Photo")
    ->render();


$form->field(\itguild\forms\inputs\Select::class, 'status', [
    'class' => "form-control",
    'value' => $model->status ?? ''
])
    ->setLabel("Статус")
    ->setOptions(\kernel\app_modules\tgbot\models\TgbotNotification::getStatus())
    ->render();
?>
    <div class="row">
        <div class="col-sm-2">
        <?php
        $form->field(\itguild\forms\inputs\Button::class, name: "btn-submit", params: [
            'class' => "btn btn-primary ",
            'value' => 'Отправить',
            'typeInput' => 'submit'
        ])
            ->render();
        ?>
        </div>
        <div class="col-sm-2">
        <?php
        $form->field(\itguild\forms\inputs\Button::class, name: "btn-reset", params: [
            'class' => "btn btn-warning",
            'value' => 'Сбросить',
            'typeInput' => 'reset'
        ])
            ->render();
        ?>
        </div>
    </div>
<?php
$form->endForm();
